CVE Vulnerabilities

CVE-2010-0734

Published: Mar 19, 2010 | Modified: Oct 10, 2018
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
6.8 MEDIUM
AV:N/AC:M/Au:N/C:P/I:P/A:P
RedHat/V2
5.1 MODERATE
AV:N/AC:H/Au:N/C:P/I:P/A:P
RedHat/V3
Ubuntu

content_encoding.c in libcurl 7.10.5 through 7.19.7, when zlib is enabled, does not properly restrict the amount of callback data sent to an application that requests automatic decompression, which might allow remote attackers to cause a denial of service (application crash) or have unspecified other impact by sending crafted compressed data to an application that relies on the intended data-length limit.

Affected Software

Name Vendor Start Version End Version
Libcurl Curl 7.10.5 7.10.5
Libcurl Curl 7.10.6 7.10.6
Libcurl Curl 7.10.7 7.10.7
Libcurl Curl 7.10.8 7.10.8
Libcurl Curl 7.11.0 7.11.0
Libcurl Curl 7.11.1 7.11.1
Libcurl Curl 7.11.2 7.11.2
Libcurl Curl 7.12 7.12
Libcurl Curl 7.12.0 7.12.0
Libcurl Curl 7.12.1 7.12.1
Libcurl Curl 7.12.2 7.12.2
Libcurl Curl 7.12.3 7.12.3
Libcurl Curl 7.13 7.13
Libcurl Curl 7.13.1 7.13.1
Libcurl Curl 7.13.2 7.13.2
Libcurl Curl 7.14 7.14
Libcurl Curl 7.14.1 7.14.1
Libcurl Curl 7.15 7.15
Libcurl Curl 7.15.1 7.15.1
Libcurl Curl 7.15.2 7.15.2
Libcurl Curl 7.15.3 7.15.3
Libcurl Curl 7.16.3 7.16.3
Libcurl Curl 7.17.0 7.17.0
Libcurl Curl 7.17.1 7.17.1
Libcurl Curl 7.18.0 7.18.0
Libcurl Curl 7.18.1 7.18.1
Libcurl Curl 7.18.2 7.18.2
Libcurl Curl 7.19.0 7.19.0
Libcurl Curl 7.19.1 7.19.1
Libcurl Curl 7.19.2 7.19.2
Libcurl Curl 7.19.3 7.19.3
Libcurl Curl 7.19.4 7.19.4
Libcurl Curl 7.19.5 7.19.5
Libcurl Curl 7.19.6 7.19.6
Libcurl Curl 7.19.7 7.19.7
Red Hat Enterprise Linux 3 RedHat curl-0:7.10.6-11.rhel3 *
Red Hat Enterprise Linux 4 RedHat curl-0:7.12.1-11.1.el4_8.3 *
Red Hat Enterprise Linux 5 RedHat curl-0:7.15.5-9.el5 *
Curl Ubuntu dapper *
Curl Ubuntu hardy *
Curl Ubuntu intrepid *
Curl Ubuntu jaunty *
Curl Ubuntu karmic *
Curl Ubuntu lucid *
Curl Ubuntu upstream *

References